# Visualization
TKService
Xw

# Xw Class Reference

This package contains the common X graphic interface.
Warning: All the interface is described by a set of C routines.
All these C routines are stored in the library
of this package.
.

`#include <Xw.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | SetTrace (const Standard_Integer TraceLevel, const Standard_Integer ErrorLevel)
| Global Trace Level for Maintenance Only .

## Static Private Member Functions

static Standard_EXPORT Standard_Integer | TraceLevel ()
| Return current global Trace level . .
static Standard_EXPORT Standard_Integer | ErrorLevel ()
| Return current global Error level . .

## Member Function Documentation

static Standard_EXPORT Standard_Integer Xw::ErrorLevel | ( |  | ) | `[static, private]`

void Xw::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Xw::operator new | ( | size_t | size | ) | `[inline]`

void* Xw::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void Xw::SetTrace | ( | const Standard_Integer | TraceLevel,
|  | const Standard_Integer | ErrorLevel
| ) | `[static]`

static Standard_EXPORT Standard_Integer Xw::TraceLevel | ( |  | ) | `[static, private]`

The documentation for this class was generated from the following file:

- Xw.hxx